=begin
#Platform external API.

#Documentation of our Platform external API.

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.34
=end

require 'spec_helper'
require 'json'

# Unit tests for Shippo::CarrierParcelTemplatesApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'CarrierParcelTemplatesApi' do
  before do
    # run before each test
    @instance = Shippo::CarrierParcelTemplatesApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of CarrierParcelTemplatesApi' do
    it 'should create an instance of CarrierParcelTemplatesApi' do
      expect(@instance).to be_instance_of(Shippo::CarrierParcelTemplatesApi)
    end
  end

  # unit tests for list_carrier_parcel_templates
  # List all carrier parcel templates
  # List all carrier parcel template objects.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :include 
  # @option opts [String] :carrier filter by specific carrier
  # @return [Array<CarrierParcelTemplateStruct>]
  describe 'list_carrier_parcel_templates test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_carrier_parcel_template
  # Retrieve a carrier parcel templates
  # Fetches the parcel template information for a specific carrier parcel template, identified by the token.
  # @param carrier_parcel_template_token The unique string representation of the carrier parcel template
  # @param [Hash] opts the optional parameters
  # @return [CarrierParcelTemplateStruct]
  describe 'get_carrier_parcel_template test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
